import request from '@/utils/request'


export function getDiffTypeList(query) {
  return request({
    url: '/orderbook/getDiffTypeList',
    method: 'get',
    params: query
  })
}
export function getDiffDetail(query) {
  return request({
    url: '/orderbook/getDiffDetail',
    method: 'get',
    params: query
  })
}
export function getDiffOrderList(query) {
  return request({
    url: '/orderbook/getDiffOrderList',
    method: 'get',
    params: query
  })
}
export function createDiffOrder(data) {
  return request({
    url: '/orderbook/createDiffOrder',
    method: 'post',
    data
  })
}
export function modifyBookState(query) {
  return request({
    url: '/orderbookdetail/modifyBookState',
    method: 'get',
    params: query
  })
}